******************************************************************************
* *
* TEXAS INSTRUMENTS INCORPORATED
* Standard Linear and Logic Group
* HSPICE Model for SN74CB3Q3257
* PROPERTY OF TEXAS INSTRUMENTS INCORPORATED. UNAUTHORIZED
* REPRODUCTION AND/OR DISTRIBUTION IS STRICTLY PROHIBITED.
*
* THIS PRODUCT IS PROTECTED UNDER COPYRIGHT LAW.
* CREATED 2003, (C) COPYRIGHT 2003, TEXAS INSTRUMENTS
* INCORPORATED, ALL RIGHTS RESERVED
*
* UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE
* CONTRARY, TEXAS INSTRUMENTS (TI) IS PROVIDING THE IBIS
* MODELS AND WITHOUT ANY WARRANTY, EXPRESSED OR
* IMPLIED. TI ASSUMES NO LIABILITY FOR:
* 1) THE ACCURACY OF THE HSPICE MODELS PROVIDED TO YOUR
* COMPANY;
* 2) THE PROPER FUNCTIONING OF THESE HSPICE MODELS IN YOUR
* DESIGN OR FOR ANY RESULTING APPLICATIONS; OR
* 3) INFRINGEMENT OF PATENTS, COPYRIGHTS OR INTELLECTUAL
* PROPERTY RIGHTS RESULTING FROM YOUR USE OF THESE HSPICE
* MODELS.
*
* TI PROVIDES HSPICE MODELS AS A SERVICE TO OUR CUSTOMERS.
* YOU AND YOUR COMPANY SHALL NOT DISTRIBUTE, SELL OR GIVE
* THESE MODELS TO ANYONE ELSE WITHOUT PRIOR WRITTEN
* PERMISSION FROM TI.
*
* TI RESERVES THE RIGHT TO MAKE CHANGES TO OUR PRODUCTS OR
* TO DISCONTINUE ANY SEMICONDUCTOR PRODUCT OR SERVICE
* WITHOUT NOTICE, AND ADVISES OUR CUSTOMERS TO OBTAIN THE
* LATEST VERSION OF RELEVANT INFORMATION TO VERIFY, BEFORE
* PLACING ORDERS, THAT THE INFORMATION BEING RELIED ON IS
* CURRENT.
*
* PLEASE BE AWARE THAT YOUR RECEIPT AND USE OF THE HSPICE
* INFORMATION PROVIDED SHALL SERVE AS ACCEPTANCE OF THESE
* TERMS AND CONDITIONS. IF YOU DO NOT ACCEPT THESE TERMS,
* YOU SHOULD RETURN OR DESTROY THE HSPICE MODELS AND ANY
* OTHER ACCOMPANYING INFORMATION IMMEDIATELY.
************************************************************************
**** HSPICE EXECUTION OPTIONS ****
************************************************************************
*
.OPTIONS POST $ Enables HSPLOT interface
.OPTIONS ACCT OPTS $ Prints stats & option values used
.OPTIONS SPICE=1 $ Forces Berkeley compatibility
.OPTIONS GMIN=1E-10 $ Lowest allowable conductance values
.OPTIONS GMINDC=1E-10
.OPTIONS ITL1=400 $ Maximum DC iteration limit
.OPTIONS ITL4=40 $ Maximum transient iterations/timestep
.OPTIONS ITL5=0 $ No limit to total transient iterations
***********************************************************************
.OPTIONS search='./'

***********************************************************************
******Top level Subcircuit call (device call)
***********************************************************************
* .INCLUDE 'sn74cb3q3257.inc'
X__SN74CB3Q3257 S X_1B1 X_1B2 X_1A X_2B1 X_2B2 X_2A GND X_3A X_3B2 X_3B1 X_4A
+ X_4B2 X_4B1 NOE VCC SN74CB3Q3257

* TO CHANGE THE PROCESS MODEL PLEASE CHANGE THE .LIB STATEMENT (NOMINAL, STRONG or WEEK) IN .INC FILE
* TO CHANGE THE PACKAGE MODEL PLEASE CHANGE THE .INCLUDE STATEMENT (QFN, SSOP or TSSOP) IN .INC FILE




* RESISTORS TO PREVENT DANGLING NODES
R1G_1 S 0 1G
R1G_2 X_1B1 0 1G
R1G_3 X_1B2 0 1G
R1G_4 X_1A 0 1G
R1G_5 X_2B1 0 1G
R1G_6 X_2B2 0 1G
R1G_7 X_2A 0 1G
R1G_8 GND 0 1G
R1G_9 X_3A 0 1G
R1G_10 X_3B2 0 1G
R1G_11 X_3B1 0 1G
R1G_12 X_4A 0 1G
R1G_13 X_4B2 0 1G
R1G_14 X_4B1 0 1G
R1G_15 NOE 0 1G
R1G_16 VCC 0 1G

**TEST SIMULATION

**CB3Q DEVICE HAS INTEGRATED CHARGE PUMP CIRCUIT. THIS CHARGE PUMP CIRCUIT HAS A START UP TIME 
*IN THE RANGE OF MICRO SECONDS.  

.TRAN 1ns 100.1e-6 100e-6

VVCC VCC 0 DC 3.3
VGND GND 0 DC 0


VNOE NOE GND DC 0

V_X_1A X_1A GND PULSE 0 5 5ns 1ns 1ns 20ns 50ns

VSEL S GND DC 0
RLOAD1 X_1B1 GND 500
CLOAD1 X_1B1 GND 50p
RLOAD2 X_1B2 GND 500
CLOAD2 X_1B2 GND 50p






.END
